org.apache.lucene.monitor

## Class ExplainingMatch

- java.lang.Object
- - org.apache.lucene.monitor.QueryMatch
  - - org.apache.lucene.monitor.ExplainingMatch

    public class ExplainingMatch
    extends QueryMatch

A query match containing the score explanation of the match

### Field Summary

Fields
`static MatcherFactory<ExplainingMatch>` `MATCHER` A MatcherFactory for producing ExplainingMatches

### Fields inherited from class org.apache.lucene.monitor.QueryMatch

`SIMPLE_MATCHER`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Explanation` `getExplanation()`
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.monitor.QueryMatch

`getQueryId, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MATCHER

    public static final MatcherFactory<ExplainingMatch> MATCHER

A MatcherFactory for producing ExplainingMatches

### Method Detail

#### getExplanation

    public Explanation getExplanation()

Returns:
  the Explanation

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `QueryMatch`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `QueryMatch`